Expo Native Base FontAwasome5 sorunu

Expo ve native base yeni versiyonlarında bir sorundur çözülemiyor ancak uzun araştırmalar sonucunda bu sorunuda çözdük .

Eğer yeni bir proje oluşturduysanız ve projenizde native base kullanıyorsanız expo start verdiğinizde aşağıdaki gibi hata ile karşılaşmaktasınız . ;

 

 Unable to resolve "@expo/vector-icons/FontAwesome5" from "node_modules/native-base/dist/src/basic/IconNB.js"

bu hatayı çözebilmek için öncelikle projenizden node_modules ve package.json.lock dosyalarını ve klasörülerini siliniz

silme işleminden sonra package.json dosyanızda native base satırını aşağıdaki gibi ayarlayınız ;

 

"native-base": "2.8.1",

 

bu işlemden sonra terminalden ;

npm install --cache /tmp/empty-cache

satırını çalıştırınız ve hatanız artık yok 🙂

expo yu çalıştırırkende aşağıdaki gibi start verirseniz kesin çözüm bulmuş olunacaktır.

 

expo start -c

 

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir